Jump to content

  • You cannot start a new topic
  • You cannot reply to this topic

Php 7 Support? Rate Topic   - - - - -

 
  • ooaykac
  • Senior Member
  • Members
  • Join Date: 22-Nov 12
  • 275 posts

Posted 20 September 2017 - 11:36 AM #1

Hi.The version of CS cart we use  is Multi-Vendor 4.6.1. Does this version support PHP 7? If not, what version does it support?



 
  • The Tool
  • Been Here Way Too Long Member
  • Members
  • Join Date: 30-Mar 07
  • 3679 posts

Posted 20 September 2017 - 12:02 PM #2

Hi.The version of CS cart we use  is Multi-Vendor 4.6.1. Does this version support PHP 7? If not, what version does it support?



PHP 5.6 for CS-Cart/Multi-Vendor 4.3.1 - 4.3.6.

PHP 7.0 for CS-Cart/Multi-Vendor 4.3.6 - 4.4.3. Earlier versions don’t support PHP 7.

PHP 7.1 is supported starting with CS-Cart/Multi-Vendor 4.4.3.

 



 
  • crazyshark20
  • Junior Member
  • Members
  • Join Date: 19-Aug 09
  • 219 posts

Posted 21 January 2018 - 12:23 PM #3

Hi which is the best php7 version i use php7.1.4 but got some error in log file

Example give this error when upgrading php 7.2

PHP Warning: count(): Parameter must be an array or an object that implements Countable in public_html/var/cache/templates/bright_theme/3dfb2dc86a95db2f54ad6699778f39c23c5edf10.tygh.sorting.tpl.php on line 195